What I have:
I have two points on a street pattern and have an extruded rectangle drawn between the
two points (Shortest path) disregarding the path .
What I want to do:
I want to follow the street path and create an extruded solid (3D) to represent the same thing
Is there a way to extrude...
Set fs = CreateObject("Scripting.FileSystemObject")
Set f = fs.GetFile(dlgMain.FileName)
Set a = f.OpenAsTextStream(varFileNum)
Hey guys,
When I open a file as a textstream (Code above) and hit the (X) to close the form and
exit program before using it in...
hey,
No I don't switch active drawing sheets in the code. All drawing is done in Modelspace.
I figured out that the disconnection occurred as the drawing and the point setting were in different places.
The code in the click_event calls a sub the draws the point. Within this event, after the...
I am using AutoCAD 2002/AutoDsk Map 6.
I seem to have found the error that is causing it to tank! I keep getting an "Automation error(440) The object involved has disconected from its client" when it gets to setting the point mode and size
ThisDrawing.SetVariable "PDMODE", 98...
lohthma is right. However, make sure only the files you want to import are the only ones in that folder. If there are many shape files, the import process will be slow.
To make the process faster, move the files(All arcview ESRI shapefiles .sbn .sbx .dbf .shp .shx) you want to import into a...
Hey, I am Stumped!
I created a templates with drawing limits that I use with many of my drawings.
I have several VBA codes that I run ( From menus and or Buttons) on different
data to display on these templates. One macro is causing AutoCAD to crush every
time with the error:
Exception...
What is the max number of items that can be supported by the standard combobox?
I thought the max number of item that can be loaded in a combobox is 32736.
Am I wrong?
I am loading the list from a csv file that has more than 193243 items,
removing duplicates at the same time, it only reads up...
You might be interested in the solution I found on how to easily insert object data.
In you VB editor on a form( or Module) go to Tool and add the AutoCAD Map reference(Depending on the version, Mine was Map 6 - AutoCAD Map 2000i Realease 4.5).
This gives you all the object data tools necessary...
Now that I have created my block library, How do I use the blocks as points. I have tried to use the following:
Sub SelectPointBlock()
Dim dblOrigin(2) As Double
Dim objBlock As AcadBlock
Dim strName As String
Dim filename As String
Dim blockRefObj As AcadBlockReference
On Error Resume Next...
I decide to remove the item after it has been used this seemed to solve the problem for me!!!
With lstCategory
If .ListIndex = -1 Then Exit Sub
For intCounter = .ListCount - 1 To 0 Step -1
If .Selected(intCounter) = True Then
'MsgBox lstCategory.List(intCounter)
Select Case...
When it gets to this part
Select Case .Column(0, intCounter)
it runs through all the cases without picking the selected case. It is on the right item, Apartments for example, but it does not recognize the case number (0) associated with it.
I have this code for my multiselect list box. If I select more than one item
the code goes through each of the items twice before it gets out.
If lstCategory.ListIndex = -1 Then Exit Sub
For intCounter = lstCategory.ListCount - 1 To 0 Step -1
If lstCategory.Selected(intCounter) =...